 qmake2.inc                   |   69 --------------------------
 qmake2_2.10a.bb              |   60 -----------------------
 qt-4.6.3.inc                 |   26 +---------
 qt-4.7.1.inc                 |   38 +++-----------
 qt4-embedded.inc             |   32 ++----------
 qt4-embedded_4.6.3.bb        |    4 +
 qt4-embedded_4.7.1.bb        |    8 ---
 qt4-tools-native.inc         |   13 +----
 qt4-tools-native_4.6.3.bb    |    9 ---
 qt4-tools-native_4.7.1.bb    |    7 --
 qt4-tools-nativesdk.inc      |  111 +++++++++++++++++++++++++++++++++++++++++++
 qt4-tools-nativesdk_4.6.3.bb |    6 ++
 qt4-tools-nativesdk_4.7.1.bb |    6 ++
 qt4-tools-sdk.inc            |   88 ----------------------------------
 qt4-tools-sdk_4.6.3.bb       |   90 ----------------------------------
 qt4-tools-sdk_4.7.1.bb       |    8 ---
 qt4-x11-free.inc             |   22 +-------
 qt4-x11-free_4.6.3.bb        |    7 --
 qt4-x11-free_4.7.1.bb        |    7 --
 qt4.inc                      |   65 ++++++++++++++-----------
 qt4_arch.inc                 |    4 -
 21 files changed, 200 insertions(+), 480 deletions(-)
Common subdirectories: qt4/files and ../../openembedded/meta/recipes-qt/qt4/files
Common subdirectories: qt4/qmake2 and ../../openembedded/meta/recipes-qt/qt4/qmake2
diff -Nud qt4/qmake2_2.10a.bb ../../openembedded/meta/recipes-qt/qt4/qmake2_2.10a.bb
--- qt4/qmake2_2.10a.bb	2011-01-03 12:03:10.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qmake2_2.10a.bb	1970-01-01 01:00:00.000000000 +0100
@@ -1,60 +0,0 @@
-QTVERSION="4.4.3"
-FILESDIR += "${@os.path.dirname(bb.data.getVar('FILE',d,1))}/qmake2"
-
-BBCLASSEXTEND = "native nativesdk"
-
-require ${PN}.inc
-
-SRC_URI += "file://qmake-hack.diff"
-
-do_install() {
-    install -d ${D}/${bindir}
-    install -m 0755 bin/qmake ${D}/${bindir}/qmake2
-    install -m 0755 bin/qmake ${D}/${bindir}/qmake-qt4
-    install -d ${D}/${datadir}/qt4
-    install -d ${D}/${datadir}/qtopia
-
-    script="${D}/${datadir}/qtopia/environment-setup"
-    touch $script
-    echo 'export QT_DIR_NAME=qtopia' >> $script
-    echo 'export QT_LIBINFIX=E' >> $script
-    echo 'export OE_QMAKE_AR=ar' >> $script
-    echo 'export OE_QMAKE_CC=gcc' >> $script
-    echo 'export OE_QMAKE_CXX=g++' >> $script
-    echo 'export OE_QMAKE_LINK=g++' >> $script
-    echo 'export OE_QMAKE_LIBDIR_QT=${libdir}' >> $script
-    echo 'export OE_QMAKE_INCDIR_QT=${includedir}/qtopia' >> $script
-    echo 'export OE_QMAKE_MOC=${bindir}/moc' >> $script
-    echo 'export OE_QMAKE_UIC=${bindir}/uic' >> $script
-    echo 'export OE_QMAKE_UIC3=${bindir}/uic3' >> $script
-    echo 'export OE_QMAKE_RCC=${bindir}/rcc' >> $script
-    echo 'export OE_QMAKE_QDBUSCPP2XML=${bindir}/qdbuscpp2xml' >> $script
-    echo 'export OE_QMAKE_QDBUSXML2CPP=${bindir}/qdbusxml2cpp' >> $script
-    echo 'export OE_QMAKE_QT_CONFIG=${datadir}/qtopia/mkspecs/qconfig.pri' >> $script
-    echo 'export QMAKESPEC=${datadir}/qtopia/mkspecs/linux-g++' >> $script
-
-    script="${D}/${datadir}/qt4/environment-setup"
-    touch $script
-    echo 'export OE_QMAKE_AR=ar' >> $script
-    echo 'export OE_QMAKE_CC=gcc' >> $script
-    echo 'export OE_QMAKE_CXX=g++' >> $script
-    echo 'export OE_QMAKE_LINK=g++' >> $script
-    echo 'export OE_QMAKE_LIBDIR_QT=${libdir}' >> $script
-    echo 'export OE_QMAKE_INCDIR_QT=${includedir}/qt4' >> $script
-    echo 'export OE_QMAKE_MOC=${bindir}/moc' >> $script
-    echo 'export OE_QMAKE_UIC=${bindir}/uic' >> $script
-    echo 'export OE_QMAKE_UIC3=${bindir}/uic3' >> $script
-    echo 'export OE_QMAKE_RCC=${bindir}/rcc' >> $script
-    echo 'export OE_QMAKE_QDBUSCPP2XML=${bindir}/qdbuscpp2xml' >> $script
-    echo 'export OE_QMAKE_QDBUSXML2CPP=${bindir}/qdbusxml2cpp' >> $script
-    echo 'export OE_QMAKE_QT_CONFIG=${datadir}/qt4/mkspecs/qconfig.pri' >> $script
-    echo 'export QMAKESPEC=${datadir}/qt4/mkspecs/linux-g++' >> $script
-
-    chmod 0755 ${D}${datadir}/qt*/environment-setup
-}
-
-FILES_${PN} += "${datadir}/qt*/environment-setup"
-
-
-SRC_URI[md5sum] = "9a639aec44a1e4c70040117183d247a3"
-SRC_URI[sha256sum] = "05d06b93f95092f1318634fca24f0c2d0a1252c9f1dc2fbb427b07e8ecbb4f39"
diff -Nud qt4/qmake2.inc ../../openembedded/meta/recipes-qt/qt4/qmake2.inc
--- qt4/qmake2.inc	2011-01-03 12:02:35.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qmake2.inc	1970-01-01 01:00:00.000000000 +0100
@@ -1,69 +0,0 @@
-DESCRIPTION = "TrollTech Makefile Generator"
-PRIORITY = "optional"
-HOMEPAGE = "http://www.trolltech.com"
-SECTION = "devel"
-LICENSE = "GPL"
-PR = "r12"
-
-# We call 'moc' during the build 
-DEPENDS = "qt4-tools-native"
-
-QTVER = "qt-embedded-linux-opensource-src-${QTVERSION}"
-
-SRC_URI = "ftp://ftp.trolltech.com/qt/source/${QTVER}.tar.bz2 \
-           file://0001-fix-mkspecs.patch \
-           file://qt-config.patch \
-           file://use-lflags-last.patch \
-           file://linux-oe-qmake.conf"
-S = "${WORKDIR}/${QTVER}"
-
-inherit autotools  
-
-CROSSHACK = "true"
-CROSSHACK_virtclass-native = ""
-CROSSHACK_virtclass-nativesdk = ""
-
-export CROSSHACK
-export QTDIR = "${S}"
-EXTRA_OEMAKE = "-e"
-
-TARGET_CC_ARCH += "${LDFLAGS}"
-
-do_configure() {
-
-    # Make sure we regenerate all Makefiles 
-    find ${S} -name "Makefile" | xargs rm
-    # Install the OE build templates
-    for template in linux-oe-g++ linux-uclibc-oe-g++ linux-gnueabi-oe-g++ linux-uclibceabi-oe-g++
-    do
-        install -d ${S}/mkspecs/$template
-        install -m 0644 ${WORKDIR}/linux-oe-qmake.conf ${S}/mkspecs/$template/qmake.conf
-        ln -sf ../linux-g++/qplatformdefs.h ${S}/mkspecs/$template/qplatformdefs.h
-    done
-
-    QMAKESPEC=
-    PLATFORM=${HOST_OS}-oe-g++
-    export PLATFORM
-    export OE_QMAKE_CC="${CC}"
-    export OE_QMAKE_CFLAGS="${CFLAGS}"
-    export OE_QMAKE_CXX="${CXX}"
-    export OE_QMAKE_CXXFLAGS="-fno-exceptions -fno-rtti ${CXXFLAGS}"
-    export OE_QMAKE_LDFLAGS="${LDFLAGS}"
-    export OE_QMAKE_LINK="${CCLD}"
-    export OE_QMAKE_AR="${AR}"
-    export OE_QMAKE_STRIP="${STRIP}"
-    export OE_QMAKE_UIC="${STAGING_BINDIR_NATIVE}/uic4"
-    export OE_QMAKE_MOC="${STAGING_BINDIR_NATIVE}/moc4"
-    export QMAKE_MOC="${STAGING_BINDIR_NATIVE}/moc4"
-    export OE_QMAKE_RCC="${STAGING_BINDIR_NATIVE}/rcc4"
-    export QMAKE_RCC="${STAGING_BINDIR_NATIVE}/rcc4"
-    export OE_QMAKE_QMAKE="${STAGING_BINDIR_NATIVE}/qmake"
-    export OE_QMAKE_RPATH="-Wl,-rpath-link,"
-    echo yes | ./configure -prefix ${STAGING_DIR_NATIVE}/qt4 ${EXTRA_OECONF} || die "Configuring qt failed"
-}
-
-do_compile() {
-    :
-}
-
-FILES_${PN} += "${datadir}/qt4/"
Common subdirectories: qt4/qmake2-sdk and ../../openembedded/meta/recipes-qt/qt4/qmake2-sdk
Common subdirectories: qt4/qt-4.6.0 and ../../openembedded/meta/recipes-qt/qt4/qt-4.6.0
diff -Nud qt4/qt-4.6.3.inc ../../openembedded/meta/recipes-qt/qt4/qt-4.6.3.inc
--- qt4/qt-4.6.3.inc	2011-01-03 12:03:10.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt-4.6.3.inc	2011-01-29 17:49:08.000000000 +0100
@@ -1,13 +1,9 @@
-DEFAULT_PREFERENCE = "-1"
-
 LICENSE = "LGPLv2.1 | GPLv3"
 LIC_FILES_CHKSUM = "file://LICENSE.LGPL;md5=fbc093901857fcd118f065f900982c24 \
                     file://LICENSE.GPL3;md5=babc5b6b77441da277f5c06b2e547720 \
                     file://LGPL_EXCEPTION.txt;md5=411080a56ff917a5a1aa08c98acae354"
 
-FILESPATHPKG .= ":qt-${PV}"
-
-SRC_URI = "ftp://ftp.trolltech.com/qt/source/qt-everywhere-opensource-src-${PV}.tar.gz \
+SRC_URI = "http://get.qt.nokia.com/qt/source/qt-everywhere-opensource-src-${PV}.tar.gz \
            file://0001-cross-compile.patch \
            file://0002-fix-resinit-declaration.patch \
            file://0004-no-qmake.patch \
@@ -23,8 +19,8 @@
            file://mips-relocate.patch \
            "
 
-# Set necessary variables in the profile
-SRC_URI += "file://qte.sh"
+SRC_URI[md5sum] = "5c69f16d452b0bb3d44bc3c10556c072"
+SRC_URI[sha256sum] = "f4e0ada8d4d516bbb8600a3ee7d9046c9c79e38cd781df9ffc46d8f16acd1768"
 
 S = "${WORKDIR}/qt-everywhere-opensource-src-${PV}"
 
@@ -58,19 +54,3 @@
     unset CFLAGS CXXFLAGS
     oe_runmake ${EXTRA_ENV}
 }
-
-do_install_append() {
-	install -d ${D}${bindir}
-	for i in rcc uic moc ; do
-		install -m 0755 ${S}/bin/$i ${D}${bindir}/
-	done
-
-	#Append an E to the qtdemo file
-	if [ -n "${QT_LIBINFIX}" ] ; then
-		mv ${D}${bindir}/qtdemo ${D}${bindir}/qtdemo${QT_LIBINFIX}
-	fi
-}
-
-SRC_URI[md5sum] = "5c69f16d452b0bb3d44bc3c10556c072"
-SRC_URI[sha256sum] = "f4e0ada8d4d516bbb8600a3ee7d9046c9c79e38cd781df9ffc46d8f16acd1768"
-
Common subdirectories: qt4/qt-4.7.1 and ../../openembedded/meta/recipes-qt/qt4/qt-4.7.1
diff -Nud qt4/qt-4.7.1.inc ../../openembedded/meta/recipes-qt/qt4/qt-4.7.1.inc
--- qt4/qt-4.7.1.inc	2011-01-03 11:54:11.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt-4.7.1.inc	2011-01-29 17:49:21.000000000 +0100
@@ -1,5 +1,3 @@
-DEFAULT_PREFERENCE = "-1"
-
 LICENSE = "LGPLv2.1 | GPLv3"
 LIC_FILES_CHKSUM = "file://LICENSE.LGPL;md5=fbc093901857fcd118f065f900982c24 \
                     file://LICENSE.GPL3;md5=babc5b6b77441da277f5c06b2e547720 \
@@ -7,17 +5,17 @@
 
 FILESPATH =. "${FILE_DIRNAME}/qt-${PV}:"
 
-SRC_URI = "\
-	ftp://ftp.trolltech.com/qt/source/qt-everywhere-opensource-src-${PV}.tar.gz \
-	file://0004-no-qmake.patch \
-    file://hack-out-pg2-4.7.0.patch \
-	file://0006-freetype-host-includes.patch \
-	file://0001-Added-Openembedded-crossarch-option.patch \
-	file://g++.conf \
-	file://linux.conf \
+SRC_URI = "http://get.qt.nokia.com/qt/source/qt-everywhere-opensource-src-${PV}.tar.gz \
+           file://0004-no-qmake.patch \
+           file://hack-out-pg2-4.7.0.patch \
+           file://0006-freetype-host-includes.patch \
+           file://0001-Added-Openembedded-crossarch-option.patch \
+           file://g++.conf \
+           file://linux.conf \
            "
-# Set necessary variables in the profile
-SRC_URI += "file://qte.sh"
+
+SRC_URI[md5sum] = "6f88d96507c84e9fea5bf3a71ebeb6d7"
+SRC_URI[sha256sum] = "8cb5277c41f824cfc6dcee0e95e0bf23a9ad2c8d18d245105137481d092b124a"
 
 S = "${WORKDIR}/qt-everywhere-opensource-src-${PV}"
 
@@ -58,19 +56,3 @@
 
     oe_runmake ${EXTRA_ENV}
 }
-
-do_install_append() {
-	install -d ${D}${bindir}
-	for i in rcc uic moc ; do
-		install -m 0755 ${S}/bin/$i ${D}${bindir}/
-	done
-
-        #Append an E to the qtdemo file
-        if [ -n "${QT_LIBINFIX}" ] ; then
-                mv ${D}${bindir}/qtdemo ${D}${bindir}/qtdemo${QT_LIBINFIX}
-        fi
-}
-
-SRC_URI[md5sum] = "6f88d96507c84e9fea5bf3a71ebeb6d7"
-SRC_URI[sha256sum] = "8cb5277c41f824cfc6dcee0e95e0bf23a9ad2c8d18d245105137481d092b124a"
-
diff -Nud qt4/qt4_arch.inc ../../openembedded/meta/recipes-qt/qt4/qt4_arch.inc
--- qt4/qt4_arch.inc	2010-07-26 22:34:43.000000000 +0200
+++ ../../openembedded/meta/recipes-qt/qt4/qt4_arch.inc	2011-01-29 17:49:08.000000000 +0100
@@ -17,9 +17,9 @@
 
 def qt_endian(d):
     import bb
-    if bb.data.getVar('SITEINFO_ENDIANNESS', d, True) == "le":
+    if bb.data.getVar('SITEINFO_ENDIANESS', d, True) == "le":
         return "-little-endian"
-    elif bb.data.getVar('SITEINFO_ENDIANNESS', d, True) == "be":
+    elif bb.data.getVar('SITEINFO_ENDIANESS', d, True) == "be":
         return "-big-endian"
     else:
         assert False
Common subdirectories: qt4/qt4-embedded and ../../openembedded/meta/recipes-qt/qt4/qt4-embedded
Common subdirectories: qt4/qt4-embedded-4.6.3 and ../../openembedded/meta/recipes-qt/qt4/qt4-embedded-4.6.3
diff -Nud qt4/qt4-embedded_4.6.3.bb ../../openembedded/meta/recipes-qt/qt4/qt4-embedded_4.6.3.bb
--- qt4/qt4-embedded_4.6.3.bb	2011-01-03 12:03:10.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-embedded_4.6.3.bb	2011-01-29 17:49:16.000000000 +0100
@@ -1,7 +1,9 @@
+require qt-${PV}.inc
 require qt4-embedded.inc
 
+SRC_URI += "file://qthelp-lib-qtclucene.patch"
+
 PR = "${INC_PR}.1"
 
 QT_CONFIG_FLAGS_append_armv6 = " -no-neon "
 
-require qt-${PV}.inc
diff -Nud qt4/qt4-embedded_4.7.1.bb ../../openembedded/meta/recipes-qt/qt4/qt4-embedded_4.7.1.bb
--- qt4/qt4-embedded_4.7.1.bb	2011-01-03 12:03:10.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-embedded_4.7.1.bb	2011-01-29 17:49:21.000000000 +0100
@@ -1,14 +1,10 @@
-DEFAULT_PREFERENCE = "-1"
-
+require qt-${PV}.inc
 require qt4-embedded.inc
 
-PR = "${INC_PR}.0"
+PR = "${INC_PR}.1"
 
 QT_CONFIG_FLAGS_append_armv6 = " -no-neon "
 
-require qt-${PV}.inc
-
 QT_CONFIG_FLAGS += " \
  -exceptions \
 "
-
diff -Nud qt4/qt4-embedded.inc ../../openembedded/meta/recipes-qt/qt4/qt4-embedded.inc
--- qt4/qt4-embedded.inc	2011-01-03 17:13:34.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-embedded.inc	2011-01-29 17:49:16.000000000 +0100
@@ -1,37 +1,19 @@
-SUMMARY = "Qt is a versatile cross-platform application framework -- this is the embedded version."
-DESCRIPTION = "${SUMMARY}"
+DESCRIPTION = "Qt is a versatile cross-platform application framework -- this is the embedded version."
 SECTION = "libs"
-LICENSE = "GPL QPL"
+LICENSE = "LGPLv2.1 | GPLv3"
 PRIORITY = "optional"
-HOMEPAGE = "http://www.trolltech.com"
+HOMEPAGE = "http://qt.nokia.com"
 DEPENDS += "directfb tslib"
-INC_PR = "r25"
+INC_PR = "r26"
 
 QT_BASE_NAME ?= "qt4-embedded"
 QT_BASE_LIB  ?= "libqt-embedded"
-QT_DIR_NAME = "qtopia"
-QT_LIBINFIX = "E"
-
-SRC_URI = "ftp://ftp.trolltech.com/qt/source/qt-embedded-linux-opensource-src-${PV}.tar.bz2 \
-           file://0001-cross-compile.patch \
-           file://0002-fix-resinit-declaration.patch \
-           file://0003-no-tools.patch \
-           file://0004-no-qmake.patch \
-           file://0006-freetype-host-includes.patch \
-           file://0007-openssl-host-includes.patch \
-           file://0008-qt-lib-infix.patch \
-           file://0009-support-2bpp.patch \
-           file://fix-config-tests.patch \
-           file://g++.conf \
-           file://linux.conf \
-           "
 
 # Set necessary variables in the profile
 SRC_URI += "file://qte.sh"
 
-S = "${WORKDIR}/qt-embedded-linux-opensource-src-${PV}"
-
 QT_CONFIG_FLAGS += " \
+    -embedded ${QT_ARCH} \
     -qtlibinfix ${QT_LIBINFIX} \
     -plugin-gfx-transformed -plugin-gfx-qvfb -plugin-gfx-vnc -plugin-gfx-directfb \
     -plugin-mouse-tslib -qt-mouse-pc -qt-mouse-qvfb -qt-mouse-linuxinput \
@@ -42,8 +24,8 @@
 require qt4.inc
 
 do_install_append() {
-	install -d ${D}${sysconfdir}/profile.d/
-	install -m 0755 ${WORKDIR}/qte.sh ${D}${sysconfdir}/profile.d/
+    install -d ${D}${sysconfdir}/profile.d/
+    install -m 0755 ${WORKDIR}/qte.sh ${D}${sysconfdir}/profile.d/
 }
 
 FILES_${PN} += " ${sysconfdir}/profile.d/qte.sh"
diff -Nud qt4/qt4.inc ../../openembedded/meta/recipes-qt/qt4/qt4.inc
--- qt4/qt4.inc	2011-01-03 12:03:10.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4.inc	2011-01-29 17:49:43.000000000 +0100
@@ -1,16 +1,20 @@
 inherit qmake_base
 
-DEPENDS += "qt4-tools-native freetype jpeg libpng zlib dbus openssl glib-2.0 gstreamer gst-plugins-base mysql5 postgresql sqlite sqlite3"
+DEPENDS += "qt4-tools-native freetype jpeg libpng zlib dbus openssl glib-2.0 gstreamer gst-plugins-base sqlite3"
 
 require qt4_arch.inc
 QT_ARCH := "${@qt_arch(d)}"
 QT_ENDIAN = "${@qt_endian(d)}"
 
-QT_CONFIG_FLAGS += "-release -no-cups -no-accessibility -reduce-relocations \
-                    -shared -no-nas-sound -no-sm -no-nis \
+QT_DISTRO_FLAGS ?= "-no-accessibility -no-sm"
+QT_DISTRO_FLAGS_poky-lsb = "-sm"
+
+QT_CONFIG_FLAGS += "-release -no-cups -reduce-relocations \
+                    -shared -no-nas-sound -no-nis \
                     -qt-gif -system-libjpeg -system-libpng -system-zlib \
-                    -no-sql-ibase -plugin-sql-mysql -no-sql-odbc -plugin-sql-psql -plugin-sql-sqlite -plugin-sql-sqlite2 \
-                    -no-pch -qdbus -stl -glib -phonon -webkit"
+                    -no-sql-ibase -no-sql-mysql -no-sql-psql -no-sql-odbc -plugin-sql-sqlite \
+                    -no-pch -qdbus -stl -glib -phonon -webkit \
+                    ${QT_DISTRO_FLAGS} "
 
 EXTRA_OEMAKE = "-e"
 
@@ -109,6 +113,16 @@
              ${QT_BASE_NAME}-fonts-pfa \
              ${QT_BASE_NAME}-fonts-pfb \
              ${QT_BASE_NAME}-fonts-qpf"
+RRECOMMENDS_${QT_BASE_NAME}-demos += " \
+            ${QT_BASE_NAME}-fonts \
+            ${QT_BASE_NAME}-examples \
+            ${QT_BASE_NAME}-plugin-sqldriver-sqlite \
+            ${QT_BASE_NAME}-plugin-imageformat-jpeg \
+            ${QT_BASE_NAME}-assistant \
+            ${PN}-doc"
+RRECOMMENDS_${QT_BASE_NAME}-examples += " \
+            ${QT_BASE_NAME}-plugin-sqldriver-sqlite \
+            ${QT_BASE_NAME}-plugin-imageformat-jpeg"
 
 FILES_${QT_BASE_NAME}-tools                = "${bindir}/uic* ${bindir}/moc ${bindir}/rcc ${bindir}/qttracereplay ${bindir}/qdoc*"
 FILES_${QT_BASE_NAME}-tools-dbg            = "${bindir}/.debug/uic* ${bindir}/.debug/moc ${bindir}/.debug/rcc ${bindir}/.debug/qttracereplay ${bindir}/.debug/qdoc*"
@@ -187,22 +201,11 @@
             -demosdir ${bindir}/${QT_DIR_NAME}/demos \
             -platform ${TARGET_OS}-oe-g++ \
             -xplatform ${TARGET_OS}-oe-g++ \
-            -embedded ${QT_ARCH} ${QT_ENDIAN} \
+            ${QT_ENDIAN} \
             -crossarch ${QT_ARCH} \
             ${QT_CONFIG_FLAGS} -no-fast \
             -L${STAGING_LIBDIR} -I${STAGING_INCDIR} \
-            -I${STAGING_INCDIR}/freetype2 \
-            -I${STAGING_INCDIR}/mysql \
-            -I${STAGING_INCDIR}/postgresql
-}
-
-do_compile() {
-    unset CFLAGS CXXFLAGS
-    install -m 0755 ${STAGING_BINDIR_NATIVE}/rcc4 ${S}/bin/rcc
-    install -m 0755 ${STAGING_BINDIR_NATIVE}/moc4 ${S}/bin/moc
-    install -m 0755 ${STAGING_BINDIR_NATIVE}/uic4 ${S}/bin/uic
-
-    oe_runmake ${EXTRA_ENV}
+            -I${STAGING_INCDIR}/freetype2
 }
 
 python populate_packages_prepend() {
@@ -260,7 +263,7 @@
 
 do_install() {
     oe_runmake install INSTALL_ROOT=${D}
-	
+
     # These are host binaries, we should only use them in staging
     rm -rf ${D}/${bindir}/qmake
 
@@ -284,18 +287,26 @@
            -e s#"uic_location=.*$"#"uic_location=${bindir}/uic4"# \
            ${D}${libdir}/pkgconfig/*.pc
     for name in ${QT_LIB_NAMES}; do
-           sed -i -e /Requires/s#"${name}"#"${name}${QT_LIBINFIX}"#g ${D}${libdir}/pkgconfig/*.pc
+        sed -i -e /Requires/s#"${name}"#"${name}${QT_LIBINFIX}"#g ${D}${libdir}/pkgconfig/*.pc
     done
 
-	# QT abuses $includedir to point to its headers, which breaks pkgconfig sysroot, so manually fix it up here:
-	for pc in ${D}${libdir}/pkgconfig/*.pc ; do
-		sed -i -e "s:prefix}include/${QT_BASE_NAME}/$(basename $pc .pc):prefix}/include:" \
-		       -e "s,Cflags: ,Cflags: -IP{includedir}/${QT_BASE_NAME}/$(basename $pc .pc) ," \
-		       -e 's:IP{:I${:g' $pc
-	done
+    # QT abuses $includedir to point to its headers, which breaks pkgconfig sysroot, so manually fix it up here:
+    for pc in ${D}${libdir}/pkgconfig/*.pc ; do
+        sed -i -e "s:prefix}include/${QT_BASE_NAME}/$(basename $pc .pc):prefix}/include:" \
+               -e "s,Cflags: ,Cflags: -IP{includedir}/${QT_BASE_NAME}/$(basename $pc .pc) ," \
+               -e 's:IP{:I${:g' $pc
+    done
 
     install -d ${D}/${libdir}/fonts
     touch ${D}/${libdir}/fonts/fontdir
-}
 
+    install -d ${D}${bindir}
+    for i in rcc uic moc ; do
+        install -m 0755 ${S}/bin/$i ${D}${bindir}/
+    done
 
+    #Append an E to the qtdemo file
+    if [ -n "${QT_LIBINFIX}" ] ; then
+        mv ${D}${bindir}/qtdemo ${D}${bindir}/qtdemo${QT_LIBINFIX}
+    fi
+}
diff -Nud qt4/qt4-tools-native_4.6.3.bb ../../openembedded/meta/recipes-qt/qt4/qt4-tools-native_4.6.3.bb
--- qt4/qt4-tools-native_4.6.3.bb	2011-01-03 12:03:10.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-tools-native_4.6.3.bb	2011-01-29 17:49:24.000000000 +0100
@@ -1,12 +1,5 @@
-DEFAULT_PREFERENCE = "-1"
-
-LICENSE = "LGPLv2.1 | GPLv3"
-LIC_FILES_CHKSUM = "file://LICENSE.LGPL;md5=fbc093901857fcd118f065f900982c24 \
-                    file://LICENSE.GPL3;md5=babc5b6b77441da277f5c06b2e547720 \
-                    file://LGPL_EXCEPTION.txt;md5=411080a56ff917a5a1aa08c98acae354"
-
 require qt4-tools-native.inc
-LICENSE = "LGPLv2.1 GPLv3"
+
 PR = "${INC_PR}.0"
 
 EXTRA_OECONF += " -no-fast -silent -no-rpath"
diff -Nud qt4/qt4-tools-native_4.7.1.bb ../../openembedded/meta/recipes-qt/qt4/qt4-tools-native_4.7.1.bb
--- qt4/qt4-tools-native_4.7.1.bb	2011-01-13 12:16:51.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-tools-native_4.7.1.bb	2011-01-29 17:49:24.000000000 +0100
@@ -1,16 +1,9 @@
-DEFAULT_PREFERENCE = "-1"
-
 require qt4-tools-native.inc
 
 PR = "${INC_PR}.0"
 
 # Find the g++.conf/linux.conf in the right directory.
 FILESPATHPKG =. "qt-${PV}:"
-SRC_URI = "ftp://ftp.trolltech.com/qt/source/qt-everywhere-opensource-src-${PV}.tar.gz \
-           file://qt-config.patch \
-           file://g++.conf \
-           file://linux.conf"
-S = "${WORKDIR}/qt-everywhere-opensource-src-${PV}"
 
 EXTRA_OECONF += " -no-fast -silent -no-rpath"
 
diff -Nud qt4/qt4-tools-native.inc ../../openembedded/meta/recipes-qt/qt4/qt4-tools-native.inc
--- qt4/qt4-tools-native.inc	2011-01-13 12:16:41.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-tools-native.inc	2011-01-29 17:49:24.000000000 +0100
@@ -1,7 +1,7 @@
 DESCRIPTION = "Native tools for Qt/[X11|Mac|Embedded] version 4.x"
 DEPENDS = "zlib-native dbus-native"
 SECTION = "libs"
-HOMEPAGE = "http://qt.nokia.com
+HOMEPAGE = "http://qt.nokia.com"
 PRIORITY = "optional"
 
 LICENSE = "LGPLv2.1 | GPLv3"
@@ -9,11 +9,11 @@
                     file://LICENSE.GPL3;md5=babc5b6b77441da277f5c06b2e547720 \
                     file://LGPL_EXCEPTION.txt;md5=411080a56ff917a5a1aa08c98acae354"
 
-INC_PR = "r10"
+INC_PR = "r11"
 
 inherit native
 
-SRC_URI = "ftp://ftp.trolltech.com/qt/source/qt-everywhere-opensource-src-${PV}.tar.gz \
+SRC_URI = "http://get.qt.nokia.com/qt/source/qt-everywhere-opensource-src-${PV}.tar.gz \
            file://qt-config.patch \
            file://g++.conf \
            file://linux.conf"
@@ -51,11 +51,8 @@
   src/tools/uic \
   src/tools/rcc \
   src/network \
-  src/gui \
-  src/tools/uic3 \
   tools/linguist/lrelease \
   tools/linguist/lupdate \
-  tools/qdbus \
 "
 
 do_compile() {
@@ -64,12 +61,10 @@
     done
 }
 
-NATIVE_INSTALL_WORKS = "1"
-
 do_install() {
     install -d ${D}${bindir}/
     install -m 0755 bin/qmake ${D}${bindir}/qmake2
-    for i in moc uic uic3 rcc lrelease lupdate qdbuscpp2xml qdbusxml2cpp; do
+    for i in moc uic rcc lrelease lupdate; do
         install -m 0755 bin/${i} ${D}${bindir}/${i}4
     done
     
diff -Nud qt4/qt4-tools-nativesdk_4.6.3.bb ../../openembedded/meta/recipes-qt/qt4/qt4-tools-nativesdk_4.6.3.bb
--- qt4/qt4-tools-nativesdk_4.6.3.bb	1970-01-01 01:00:00.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-tools-nativesdk_4.6.3.bb	2011-01-29 17:49:35.000000000 +0100
@@ -0,0 +1,6 @@
+require qt4-tools-nativesdk.inc
+
+PR = "${INC_PR}.0"
+
+SRC_URI[md5sum] = "5c69f16d452b0bb3d44bc3c10556c072"
+SRC_URI[sha256sum] = "f4e0ada8d4d516bbb8600a3ee7d9046c9c79e38cd781df9ffc46d8f16acd1768"
diff -Nud qt4/qt4-tools-nativesdk_4.7.1.bb ../../openembedded/meta/recipes-qt/qt4/qt4-tools-nativesdk_4.7.1.bb
--- qt4/qt4-tools-nativesdk_4.7.1.bb	1970-01-01 01:00:00.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-tools-nativesdk_4.7.1.bb	2011-01-29 17:49:35.000000000 +0100
@@ -0,0 +1,6 @@
+require qt4-tools-nativesdk.inc
+
+PR = "${INC_PR}.0"
+
+SRC_URI[md5sum] = "6f88d96507c84e9fea5bf3a71ebeb6d7"
+SRC_URI[sha256sum] = "8cb5277c41f824cfc6dcee0e95e0bf23a9ad2c8d18d245105137481d092b124a"
diff -Nud qt4/qt4-tools-nativesdk.inc ../../openembedded/meta/recipes-qt/qt4/qt4-tools-nativesdk.inc
--- qt4/qt4-tools-nativesdk.inc	1970-01-01 01:00:00.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-tools-nativesdk.inc	2011-01-29 17:49:35.000000000 +0100
@@ -0,0 +1,111 @@
+DESCRIPTION = "SDK tools for Qt/[X11|Mac|Embedded] version 4.x"
+DEPENDS = "zlib-nativesdk dbus-nativesdk libx11-nativesdk qt4-tools-native"
+SECTION = "libs"
+HOMEPAGE = "http://qt.nokia.com"
+PRIORITY = "optional"
+LICENSE = "LGPLv2.1 | GPLv3"
+
+INC_PR = "r3"
+
+FILESPATHPKG =. "qt-${PV}:"
+inherit nativesdk qmake2
+
+SRC_URI = "http://get.qt.nokia.com/qt/source/qt-everywhere-opensource-src-${PV}.tar.gz \
+           file://configure-lflags.patch \
+           file://compile.test-lflags.patch \
+           file://qt-config.patch \
+           file://qmake-exists-check.patch \
+           file://configure-paths.patch \
+           file://g++.conf \
+           file://linux.conf"
+
+S = "${WORKDIR}/qt-everywhere-opensource-src-${PV}"
+
+LIC_FILES_CHKSUM = "file://LICENSE.LGPL;md5=fbc093901857fcd118f065f900982c24 \
+                    file://LICENSE.GPL3;md5=babc5b6b77441da277f5c06b2e547720 \
+                    file://LGPL_EXCEPTION.txt;md5=411080a56ff917a5a1aa08c98acae354"
+
+# FIXME: make it work with "${STAGING_BINDIR_NATIVE}/pkg-config --cflags dbus-1"
+EXTRA_OECONF = "-prefix ${prefix} \
+                -qt-libjpeg -qt-gif -system-zlib \
+                -no-libjpeg -no-libpng -no-libmng -no-libtiff \
+                -no-accessibility \
+                -no-cups \
+                -no-exceptions  \
+                -no-nas-sound \
+                -no-nis -no-openssl \
+                -verbose -release -fast -static \
+                -platform ${TARGET_OS}-oe-g++ \
+                -xplatform ${TARGET_OS}-oe-g++ \
+                -embedded -no-freetype -no-glib -no-iconv \
+                -qt3support \
+                -I${STAGING_DIR_HOST}${SDKPATHNATIVE}/usr/include \
+                -I${STAGING_DIR_HOST}${SDKPATHNATIVE}/usr/include/freetype2 \
+                -I${STAGING_DIR_HOST}${SDKPATHNATIVE}/usr/include/dbus-1.0 \
+                -I${STAGING_DIR_HOST}${SDKPATHNATIVE}/usr/lib/dbus-1.0/include \
+                -I${STAGING_DIR_HOST}${SDKPATHNATIVE}/usr/include/c++ \
+                -I${STAGING_DIR_HOST}${SDKPATHNATIVE}/usr/include/c++/${TARGET_SYS} \
+                -L${STAGING_DIR_HOST}${SDKPATHNATIVE}/lib \
+                -L${STAGING_DIR_HOST}${SDKPATHNATIVE}/usr/lib"
+
+# yank default -e, otherwise we get the following error:
+# moc_qbuffer.cpp: No such file or directory
+EXTRA_OEMAKE = " "
+
+do_configure() {
+    if [ ! -e bin/qmake ]; then
+        ln -sf ${STAGING_BINDIR_NATIVE}/qmake2 bin/qmake
+    fi
+
+    if [ ! -e mkspecs/${TARGET_OS}-oe-g++ ]; then
+        ln -sf linux-g++ mkspecs/${TARGET_OS}-oe-g++
+    fi
+
+    cp ../g++.conf mkspecs/common
+    cp ../linux.conf mkspecs/common
+
+    (echo o; echo yes) | ./configure ${EXTRA_OECONF} || die "Configuring qt failed. EXTRA_OECONF was ${EXTRA_OECONF}"
+}
+
+TOBUILD = "\
+  src/tools/bootstrap \
+  src/tools/moc \
+  src/corelib \
+  src/sql \
+  src/dbus \
+  src/qt3support \
+  src/xml \
+  src/tools/uic \
+  src/tools/rcc \
+  src/network \
+  src/gui \
+  src/tools/uic3 \
+  tools/linguist/lrelease \
+  tools/linguist/lupdate \
+  tools/qdbus \
+"
+
+do_compile() {
+    for i in ${TOBUILD}; do
+        cd ${S}/$i && oe_runmake CC="${CC}" CXX="${CXX}"
+    done
+}
+
+do_install() {
+    install -d ${D}${bindir}
+    install -m 0755 bin/qmake ${D}${bindir}/qmake2
+    for i in moc uic uic3 rcc lrelease lupdate qdbuscpp2xml qdbusxml2cpp; do
+        install -m 0755 bin/${i} ${D}${bindir}/${i}4
+    done
+
+    (cd ${D}${bindir}; \
+    ln -s qmake2 qmake; \
+    for i in moc uic uic3 rcc lrelease lupdate qdbuscpp2xml qdbusxml2cpp; do \
+        ln -s ${i}4 ${i}; \
+    done)
+
+    # make a symbolic link to mkspecs for compatibility with Nokia's SDK
+    # and QTCreator
+    (cd ${D}${bindir}/..; ln -s ${TARGET_SYS}/usr/share/qtopia/mkspecs mkspecs;)
+}
+
diff -Nud qt4/qt4-tools-sdk_4.6.3.bb ../../openembedded/meta/recipes-qt/qt4/qt4-tools-sdk_4.6.3.bb
--- qt4/qt4-tools-sdk_4.6.3.bb	2011-01-03 12:03:10.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-tools-sdk_4.6.3.bb	1970-01-01 01:00:00.000000000 +0100
@@ -1,90 +0,0 @@
-DESCRIPTION = "SDK tools for Qt/[X11|Mac|Embedded] version 4.x"
-DEPENDS = "zlib-native dbus-native"
-SECTION = "libs"
-HOMEPAGE = "http://www.trolltech.com"
-PRIORITY = "optional"
-LICENSE = "LGPLv2.1 GPLv3"
-
-PR = "r1"
-
-DEFAULT_PREFERENCE = "-1"
-inherit nativesdk
-
-SRC_URI = "ftp://ftp.trolltech.com/qt/source/qt-everywhere-opensource-src-${PV}.tar.gz \
-           file://configure-lflags.patch \
-           file://compile.test-lflags.patch \
-           file://qt-config.patch \
-           file://g++.conf \
-           file://linux.conf"
-
-S = "${WORKDIR}/qt-everywhere-opensource-src-${PV}"
-
-
-# FIXME: make it work with "${STAGING_BINDIR_NATIVE}/pkg-config --cflags dbus-1"
-EXTRA_OECONF = "-prefix ${prefix} \
-                -qt-libjpeg -qt-gif -system-zlib \
-                -no-libjpeg -no-libpng \
-                -no-accessibility \
-                -no-cups \
-                -no-exceptions  \
-                -no-nas-sound \
-                -no-nis \
-                -verbose -release -fast -static \
-                -qt3support \
-                -I${STAGING_DIR_NATIVE}/usr/include \
-                -I${STAGING_DIR_NATIVE}/usr/include/freetype2 \
-                -I${STAGING_DIR_NATIVE}/usr/include/dbus-1.0 \
-                -I${STAGING_DIR_NATIVE}/usr/lib/dbus-1.0/include"
-
-# yank default -e, otherwise we get the following error:
-# moc_qbuffer.cpp: No such file or directory
-EXTRA_OEMAKE = " "
-
-do_configure() {
-   (echo o; echo yes) | ./configure ${EXTRA_OECONF} || die "Configuring qt failed. EXTRA_OECONF was ${EXTRA_OECONF}"
-}
-
-TOBUILD = "\
-  src/tools/bootstrap \
-  src/tools/moc \
-  src/corelib \
-  src/sql \
-  src/dbus \
-  src/qt3support \
-  src/xml \
-  src/tools/uic \
-  src/tools/rcc \
-  src/network \
-  src/gui \
-  src/tools/uic3 \
-  tools/linguist/lrelease \
-  tools/linguist/lupdate \
-  tools/qdbus \
-"
-
-do_compile() {
-    for i in ${TOBUILD}; do
-        cd ${S}/$i && oe_runmake CC="${CC}" CXX="${CXX}"
-    done
-}
-
-do_install() {
-    install -d ${D}${bindir}
-    install -m 0755 bin/qmake ${D}${bindir}/qmake2
-    for i in moc uic uic3 rcc lrelease lupdate qdbuscpp2xml qdbusxml2cpp; do
-        install -m 0755 bin/${i} ${D}${bindir}/${i}4
-    done
-
-	(cd ${D}${bindir}; \
-	ln -s qmake2 qmake; \
-	for i in moc uic uic3 rcc lrelease lupdate qdbuscpp2xml qdbusxml2cpp; do \
-		ln -s ${i}4 ${i}; \
-	done)
-
-	# make a symbolic link to mkspecs for compatibility with Nokia's SDK
-	# and QTCreator
-	(cd ${D}${bindir}/..; ln -s ${TARGET_SYS}/usr/share/qtopia/mkspecs mkspecs;)
-}
-
-SRC_URI[md5sum] = "5c69f16d452b0bb3d44bc3c10556c072"
-SRC_URI[sha256sum] = "f4e0ada8d4d516bbb8600a3ee7d9046c9c79e38cd781df9ffc46d8f16acd1768"
diff -Nud qt4/qt4-tools-sdk_4.7.1.bb ../../openembedded/meta/recipes-qt/qt4/qt4-tools-sdk_4.7.1.bb
--- qt4/qt4-tools-sdk_4.7.1.bb	2011-01-03 12:03:10.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-tools-sdk_4.7.1.bb	1970-01-01 01:00:00.000000000 +0100
@@ -1,8 +0,0 @@
-require qt4-tools-sdk.inc
-
-PR = "${INC_PR}.0"
-
-DEFAULT_PREFERENCE = "-1"
-
-SRC_URI[md5sum] = "6f88d96507c84e9fea5bf3a71ebeb6d7"
-SRC_URI[sha256sum] = "8cb5277c41f824cfc6dcee0e95e0bf23a9ad2c8d18d245105137481d092b124a"
diff -Nud qt4/qt4-tools-sdk.inc ../../openembedded/meta/recipes-qt/qt4/qt4-tools-sdk.inc
--- qt4/qt4-tools-sdk.inc	2011-01-03 12:03:10.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-tools-sdk.inc	1970-01-01 01:00:00.000000000 +0100
@@ -1,88 +0,0 @@
-DESCRIPTION = "SDK tools for Qt/[X11|Mac|Embedded] version 4.x"
-DEPENDS = "zlib-native dbus-native"
-SECTION = "libs"
-HOMEPAGE = "http://www.trolltech.com"
-PRIORITY = "optional"
-LICENSE = "LGPLv2.1 GPLv3"
-
-INC_PR = "r2"
-
-FILESPATHPKG =. "qt-${PV}:"
-inherit nativesdk
-
-SRC_URI = "ftp://ftp.trolltech.com/qt/source/qt-everywhere-opensource-src-${PV}.tar.gz \
-           file://configure-lflags.patch \
-           file://compile.test-lflags.patch \
-           file://qt-config.patch \
-           file://g++.conf \
-           file://linux.conf"
-
-S = "${WORKDIR}/qt-everywhere-opensource-src-${PV}"
-
-
-# FIXME: make it work with "${STAGING_BINDIR_NATIVE}/pkg-config --cflags dbus-1"
-EXTRA_OECONF = "-prefix ${prefix} \
-                -qt-libjpeg -qt-gif -system-zlib \
-                -no-libjpeg -no-libpng -no-libmng -no-libtiff \
-                -no-accessibility \
-                -no-cups \
-                -no-exceptions  \
-                -no-nas-sound \
-                -no-nis -no-openssl \
-                -verbose -release -fast -static \
-                -embedded -no-freetype -no-glib -no-iconv \
-                -qt3support \
-                -I${STAGING_DIR_NATIVE}/usr/include \
-                -I${STAGING_DIR_NATIVE}/usr/include/dbus-1.0 \
-                -I${STAGING_DIR_NATIVE}/usr/lib/dbus-1.0/include"
-
-# yank default -e, otherwise we get the following error:
-# moc_qbuffer.cpp: No such file or directory
-EXTRA_OEMAKE = " "
-
-do_configure() {
-   (echo o; echo yes) | ./configure ${EXTRA_OECONF} || die "Configuring qt failed. EXTRA_OECONF was ${EXTRA_OECONF}"
-}
-
-TOBUILD = "\
-  src/tools/bootstrap \
-  src/tools/moc \
-  src/corelib \
-  src/sql \
-  src/dbus \
-  src/qt3support \
-  src/xml \
-  src/tools/uic \
-  src/tools/rcc \
-  src/network \
-  src/gui \
-  src/tools/uic3 \
-  tools/linguist/lrelease \
-  tools/linguist/lupdate \
-  tools/qdbus \
-"
-
-do_compile() {
-    for i in ${TOBUILD}; do
-        cd ${S}/$i && oe_runmake CC="${CC}" CXX="${CXX}"
-    done
-}
-
-do_install() {
-    install -d ${D}${bindir}
-    install -m 0755 bin/qmake ${D}${bindir}/qmake2
-    for i in moc uic uic3 rcc lrelease lupdate qdbuscpp2xml qdbusxml2cpp; do
-        install -m 0755 bin/${i} ${D}${bindir}/${i}4
-    done
-
-	(cd ${D}${bindir}; \
-	ln -s qmake2 qmake; \
-	for i in moc uic uic3 rcc lrelease lupdate qdbuscpp2xml qdbusxml2cpp; do \
-		ln -s ${i}4 ${i}; \
-	done)
-
-	# make a symbolic link to mkspecs for compatibility with Nokia's SDK
-	# and QTCreator
-	(cd ${D}${bindir}/..; ln -s ${TARGET_SYS}/usr/share/qtopia/mkspecs mkspecs;)
-}
-
Common subdirectories: qt4/qt4-x11-free and ../../openembedded/meta/recipes-qt/qt4/qt4-x11-free
Common subdirectories: qt4/qt4-x11-free-4.6.3 and ../../openembedded/meta/recipes-qt/qt4/qt4-x11-free-4.6.3
diff -Nud qt4/qt4-x11-free_4.6.3.bb ../../openembedded/meta/recipes-qt/qt4/qt4-x11-free_4.6.3.bb
--- qt4/qt4-x11-free_4.6.3.bb	2011-01-03 12:02:35.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-x11-free_4.6.3.bb	2011-01-29 17:49:08.000000000 +0100
@@ -1,9 +1,6 @@
+require qt-${PV}.inc
 require qt4-x11-free.inc
-require qt-4.6.3.inc
 
-PR = "r1"
+PR = "${INC_PR}.0"
 
 QT_CONFIG_FLAGS += " -xrandr "
-
-SRC_URI[md5sum] = "5c69f16d452b0bb3d44bc3c10556c072"
-SRC_URI[sha256sum] = "f4e0ada8d4d516bbb8600a3ee7d9046c9c79e38cd781df9ffc46d8f16acd1768"
diff -Nud qt4/qt4-x11-free_4.7.1.bb ../../openembedded/meta/recipes-qt/qt4/qt4-x11-free_4.7.1.bb
--- qt4/qt4-x11-free_4.7.1.bb	2011-01-03 18:03:34.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-x11-free_4.7.1.bb	2011-01-29 17:49:21.000000000 +0100
@@ -1,13 +1,10 @@
-DEFAULT_PREFERENCE = "-1"
-
 require qt4-x11-free.inc
+require qt-${PV}.inc
 
-PR = "${INC_PR}.0"
+PR = "${INC_PR}.1"
 
 QT_CONFIG_FLAGS_append_armv6 = " -no-neon "
 
-require qt-${PV}.inc
-
 QT_CONFIG_FLAGS += " \
  -no-embedded \
  -xrandr \
diff -Nud qt4/qt4-x11-free.inc ../../openembedded/meta/recipes-qt/qt4/qt4-x11-free.inc
--- qt4/qt4-x11-free.inc	2011-01-03 12:03:10.000000000 +0100
+++ ../../openembedded/meta/recipes-qt/qt4/qt4-x11-free.inc	2011-01-29 17:49:08.000000000 +0100
@@ -1,25 +1,13 @@
+require qt4.inc
+
 DESCRIPTION = "Qt is a versatile cross-platform application framework -- this is the X11 version."
+HOMEPAGE = "http://qt.nokia.com"
 SECTION = "x11/libs"
 PRIORITY = "optional"
-HOMEPAGE = "http://www.trolltech.com"
 DEPENDS += "virtual/libx11 fontconfig libxft libxext libxrender libxrandr libxcursor"
 
 INC_PR = "r21"
 
-SRC_URI = "ftp://ftp.trolltech.com/qt/source/qt-x11-opensource-src-${PV}.tar.gz \
-           file://0001-cross-compile.patch \
-           file://0002-fix-resinit-declaration.patch \
-           file://0003-no-tools.patch \
-           file://0004-no-qmake.patch \
-           file://0006-freetype-host-includes.patch \
-           file://0007-openssl-host-includes.patch \ 
-           file://0008-qt-lib-infix.patch \
-           file://fix-config-tests.patch \
-           file://g++.conf \
-           file://linux.conf \
-           "
-S = "${WORKDIR}/qt-x11-opensource-src-${PV}"
-
 QT_GLFLAGS ?= "-no-opengl"
 QT_GLFLAGS_qemux86 = "-opengl"
 QT_GLFLAGS_emenlow = "-opengl"
@@ -27,10 +15,6 @@
 QT_CONFIG_FLAGS += "-no-xinerama -no-xkb ${QT_GLFLAGS}"
 QT_BASE_NAME ?= "qt4"
 QT_BASE_LIB  ?= "libqt"
-QT_DIR_NAME = "qt4"
-QT_LIBINFIX = ""
-
-require qt4.inc
 
 inherit qt4x11
 
